﻿body {
  margin: 0px;
}
* {
  padding: 0;
  margin: 0;
}
html,
body {
  height: 100%;
}
/* // todo pc_messageBox ----- */
div,
i,
button {
  margin: 0;
  padding: 0;
}
/*预定义样式，通过js动态生成dom时，加上指定类名*/
.dpn-message {
  font-family: "\5FAE\8F6F\96C5\9ED1", Helvetica, sans-serif;
  font-size: 14px;
  z-index: 99999;
}
.dpn-message {
  box-sizing: border-box;
  position: fixed;
  top: -200px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 99999;
  padding: 15px;
  padding-right: 32px;
  min-width: 380px;
  max-width: 50%;
  border-radius: 4px;
  transition: top 0.3s;
}
/*info 消息*/
.dpn-message.dpn-info {
  background: #EDF2FC;
  border: 1px solid #EBEEF5;
  color: #909399;
}
/*success消息*/
.dpn-message.dpn-success {
  background: #f0f9eb;
  border: 1px solid #e1f3d8;
  color: #67C23A;
}
/*error消息*/
.dpn-message.dpn-error {
  background: #fef0f0;
  border: 1px solid #fde2e2;
  color: #F56C6C;
}
/*warning消息*/
.dpn-message.dpn-warning {
  background: #fdf6ec;
  border: 1px solid #faecd8;
  color: #E6A23C;
}
.dpn-message .dpn-close {
  position: absolute;
  right: 8px;
  top: 50%;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  line-height: 16px;
  text-align: center;
  font-style: normal;
  cursor: pointer;
}
/* // todo pc_loadingBox   keyframes ------ */
.yc_domLoading {
  width: 100%;
  height: 100%;
  min-height: 80px;
  background-color: rgba(255, 255, 255, 0.8);
  position: absolute;
  left: 0px;
  top: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99999;
}
.yc_domLoading .spinner {
  width: 40px;
  height: 40px;
  text-align: center;
  align-content: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.yc_domLoading .spinner .double-bounce1,
.yc_domLoading .spinner .double-bounce2 {
  width: 100%;
  height: 100%;
  background: #409eff;
  border-radius: 50% 50%;
  opacity: 0.5;
  position: absolute;
}
.yc_domLoading .spinner .double-bounce1 {
  -webkit-animation: yc_loadingScalecircle1 1.2s infinite ease-in-out;
  animation: yc_loadingScalecircle1 1.2s infinite ease-in-out;
}
.yc_domLoading .spinner .double-bounce2 {
  -webkit-animation: yc_loadingScalecircle2 1.2s infinite ease-in-out;
  animation: yc_loadingScalecircle2 1.2s infinite ease-in-out;
}
.yc_domLoading .loading_font {
  color: #409eff;
  margin-top: 60px;
  font-size: 14px;
}
@keyframes yc_loadingScalecircle1 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@-webkit-keyframes yc_loadingScalecircle1 {
  0% {
    -webkit-transform: scale(1);
  }
  100% {
    -webkit-transform: scale(0);
  }
}
@keyframes yc_loadingScalecircle2 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@-webkit-keyframes yc_loadingScalecircle2 {
  0% {
    -webkit-transform: scale(0);
  }
  100% {
    -webkit-transform: scale(1);
  }
}
/* // todo pc_button class ------ */
.pc_button {
  display: inline-block;
  line-height: 1;
  white-space: nowrap;
  cursor: pointer;
  background: #fff;
  border: 1px solid #dcdfe6;
  color: #606266;
  -webkit-appearance: none;
  text-align: center;
  box-sizing: border-box;
  outline: none;
  transition: 0.1s;
  font-weight: 500;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  padding: 12px 15px;
  font-size: 14px;
  border-radius: 4px;
  min-width: 75px;
  position: relative;
  margin: 0;
  margin-right: 5px;
}
.pc_button__primary {
  color: #fff;
  background-color: #409eff;
  border-color: #409eff;
}
.pc_button__primary:active {
  background: #3a8ee6;
  border-color: #3a8ee6;
  color: #fff;
}
.pc_button__primary:focus,
.pc_button__primary:hover {
  background: #66b1ff;
  border-color: #66b1ff;
  color: #fff;
}
.pc_button__warning {
  color: #fff;
  background-color: #e6a23c;
  border-color: #e6a23c;
}
.pc_button__warning:active {
  background: #cf9236;
  border-color: #cf9236;
  color: #fff;
}
.pc_button__warning:focus,
.pc_button__warning:hover {
  background: #ebb563;
  border-color: #ebb563;
  color: #fff;
}
.pc_button__danger {
  color: #fff;
  background-color: #f56c6c;
  border-color: #f56c6c;
}
.pc_button__danger:active {
  background: #dd6161;
  border-color: #dd6161;
  color: #fff;
}
.pc_button__danger:focus,
.pc_button__danger:hover {
  background: #f78989;
  border-color: #f78989;
  color: #fff;
}
.pc_button__success {
  color: #fff;
  background-color: #67c23a;
  border-color: #67c23a;
}
.pc_button__success:active {
  background: #5daf34;
  border-color: #5daf34;
  color: #fff;
}
.pc_button__success:focus,
.pc_button__success:hover {
  background: #85ce61;
  border-color: #85ce61;
  color: #fff;
}
.pc_button_loading {
  border: 1px solid transparent !important;
}
@keyframes pc_rotating {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes pc_rotating {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
.pc_rotating_icon {
  display: inline-block;
  font-size: 14px !important;
  -webkit-animation: pc_rotating 2s linear infinite;
  animation: pc_rotating 2s linear infinite;
  margin-right: 5px;
}
.pc_loading {
  opacity: 0.5;
}
.pc_textarea {
  position: relative;
  display: inline-block;
  width: 100%;
  vertical-align: bottom;
  font-size: 14px;
}
.pc_textarea__inner {
  display: block;
  resize: vertical;
  padding: 5px 15px;
  line-height: 1.5;
  box-sizing: border-box;
  width: 100%;
  font-size: inherit;
  color: #606266;
  background-color: #fff;
  background-image: none;
  border: 1px solid #dcdfe6;
  border-radius: 4px;
  transition: border-color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1);
}
.pc_textarea__inner:hover {
  border-color: #c0c4cc;
}
.pc_textarea__inner:focus {
  outline: none;
  border-color: #409eff !important;
}
/*  //todo  pc_selectBox ----- */
#pc_navslectbox {
  position: absolute;
  top: 90px;
  left: 100px;
  margin-top: -1px;
  font-size: 14px;
  background: #fff;
  border: 1px solid #e4e7ed;
  border-top-color: white;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);
  display: flex;
  overflow: hidden;
}
#pc_navslectbox:hover {
  display: flex;
}
#pc_navslectbox .navslectbox_hierarchy {
  width: auto;
  min-width: 120px;
  max-width: 180px;
  height: auto;
  border-right: 1px solid #e4e7ed;
}
#pc_navslectbox .navslectbox_hierarchy:nth-last-of-type(1) {
  border-right: none;
}
#pc_navslectbox .navslectbox_hierarchy ul {
  margin: 0;
  padding: 6px 0;
  list-style: none;
  box-sizing: border-box;
}
#pc_navslectbox .navslectbox_hierarchy ul li {
  line-height: 14px;
  padding: 10px 15px 10px 15px;
  position: relative;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  width: calc(100% - 30px);
  word-break: break-all;
  color: #909399;
}
#pc_navslectbox .navslectbox_hierarchy ul li:hover {
  background: #f5f7fa;
  color: #3388ff;
}
#pc_navslectbox .navslectbox_hierarchy ul li .iconfont {
  margin-left: 15px;
}
.active {
  color: #3388ff !important;
}
/* //todo input */
.pc_input {
  position: relative;
  font-size: 14px;
  display: inline-block;
  min-width: 180px;
}
.pc_input__inner {
  -webkit-appearance: none;
  background-color: #fff;
  background-image: none;
  border-radius: 4px;
  border: 1px solid #dcdfe6;
  box-sizing: border-box;
  color: #606266;
  display: inline-block;
  font-size: inherit;
  height: 40px;
  line-height: 40px;
  outline: none;
  padding: 0 15px;
  transition: border-color 0.2s cubic-bezier(0.645, 0.045, 0.355, 1);
  width: 100%;
}
.pc_input__inner::placeholder {
  color: #a9a9a9;
}
.pc_input__inner:hover {
  border-color: #c0c4cc;
}
.pc_input__inner:focus {
  outline: none;
  border-color: #409eff;
}
/* //todo pc_pagebox  */
/*// todo 分页 */
.pc_pagebox {
  width: 100%;
  padding: 24px;
  display: flex;
  color: black;
  line-height: 28px;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
}
.pc_pagebox .page_length {
  font-size: 13px;
  color: #606266;
  margin-right: 10px;
}
.pc_pagebox .page_up,
.pc_pagebox .page_down {
  margin: 0 5px;
  background-color: #f4f4f5;
  min-width: 30px;
  border-radius: 2px;
  font-size: 13px;
  line-height: 28px;
  font-weight: bold;
  box-sizing: border-box;
  text-align: center;
  cursor: pointer;
}
.pc_pagebox .page_up:hover,
.pc_pagebox .page_down:hover {
  color: #409eff;
}
.pc_pagebox .page_up {
  transform: rotateZ(180deg);
}
.pc_pagebox .page_ul {
  user-select: none;
  list-style: none;
  display: inline-block;
  vertical-align: top;
  font-size: 0;
  padding: 0;
  margin: 0;
}
.pc_pagebox .page_ul li {
  padding: 0 4px;
  vertical-align: top;
  display: inline-block;
  font-size: 13px;
  min-width: 35.5px;
  height: 28px;
  line-height: 28px;
  cursor: pointer;
  box-sizing: border-box;
  text-align: center;
  margin: 0 5px;
  background-color: #f4f4f5;
  min-width: 30px;
  border-radius: 2px;
}
.pc_pagebox .page_ul li:hover {
  color: #409eff;
}
.pc_pagebox .page_ul .active {
  background-color: #409eff;
  color: #fff !important;
}
.pc_pagebox .page_ul .active:hover {
  color: white !important;
}
/* //todo pc_selectbox  */
#pc_selectbox {
  position: absolute;
  top: 90px;
  left: 100px;
  margin-top: -1px;
  font-size: 14px;
  background: #fff;
  border: 1px solid #e4e7ed;
  border-top-color: white;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);
  display: flex;
  overflow: hidden;
}
#pc_selectbox:hover {
  display: block;
}
#pc_selectbox .navslectbox_hierarchy {
  width: auto;
  min-width: 120px;
  max-width: 180px;
  height: auto;
  border-right: 1px solid #e4e7ed;
}
#pc_selectbox .navslectbox_hierarchy:nth-last-of-type(1) {
  border-right: none;
}
#pc_selectbox .navslectbox_hierarchy ul {
  margin: 0;
  padding: 6px 0;
  list-style: none;
  box-sizing: border-box;
}
#pc_selectbox .navslectbox_hierarchy ul li {
  line-height: 14px;
  padding: 10px 15px 10px 15px;
  position: relative;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  width: calc(100% - 30px);
  word-break: break-all;
  color: #909399;
}
#pc_selectbox .navslectbox_hierarchy ul li:hover {
  background: #f5f7fa;
  color: #3388ff;
}
#pc_selectbox .navslectbox_hierarchy ul li .iconfont {
  margin-left: 15px;
}
.pc_message_box_wrapper {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 2023;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}
.pc_message_box_wrapper .pc_message_box {
  display: inline-block;
  width: 420px;
  padding-bottom: 10px;
  vertical-align: middle;
  background-color: #fff;
  border-radius: 4px;
  border: 1px solid #ebeef5;
  font-size: 18px;
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  text-align: left;
  overflow: hidden;
  backface-visibility: hidden;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_head {
  position: relative;
  padding: 15px 15px 10px;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_head .pc_message_box_head_title {
  padding-left: 0;
  margin-bottom: 0;
  font-size: 16px;
  line-height: 1;
  color: #303133;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_head .pc_message_box_head_close {
  position: absolute;
  top: 10px;
  right: 10px;
  padding: 0;
  border: none;
  outline: none;
  background: transparent;
  font-size: 25px;
  cursor: pointer;
  color: #303133;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_head .pc_message_box_head_close:hover {
  color: #409eff;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_content {
  padding: 10px 15px;
  color: #606266;
  font-size: 14px;
  display: flex;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_content .iconfont {
  font-size: 23px;
  color: #e6a23c;
  margin-right: 5px;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_content .pc_message_box_content_text {
  min-height: 24px;
  display: flex;
  align-items: center;
  line-height: 17px;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_content_btns {
  padding: 5px 15px 0;
  text-align: right;
  display: flex;
  justify-content: flex-end;
}
.pc_message_box_wrapper .pc_message_box .pc_message_box_content_btns .pc_button {
  padding: 8px 18px;
  min-width: 51px;
}
